Bug 1423753 - Cloud images on AWS account 125523088429 cannot be copied
Summary: Cloud images on AWS account 125523088429 cannot be copied
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-fedimg
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sayan Chowdhury
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-17 14:37 UTC by Theodore Cowan
Modified: 2017-08-10 23:53 UTC (History)
5 users (show)

Fixed In Version: python-fedimg-0.7.1-1.fc26 python-fedimg-0.7.4-1.fc25 python-fedimg-0.7.4-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-17 20:37:18 UTC


Attachments (Terms of Use)

Description Theodore Cowan 2017-02-17 14:37:47 UTC
Description of problem:

When attempting to copy Fedora Cloud AMI's to my own account I get this error:

"Error You do not have permission to access the storage of this ami"

Could you please grant read permissions for the storage that backs the AMI's.  Details can be found here http://docs.aws.amazon.com/AWSEC2/latest/UserGuide/CopyingAMIs.html

Example AMI ami-ca2fabaa: 125523088429/Fedora-Cloud-Base-25-20170212.0.x86_64-us-west-2-PV-gp2-0

Thank you!


How reproducible:


Steps to Reproduce:
1. Navigate to https://us-west-2.console.aws.amazon.com/ec2/v2/home?region=us-west-2#Images:visibility=public-images;ownerAlias=125523088429;search=Fedora-Cloud-Base-25;creationDate=%3E2017-02-12T00:00-07:00;sort=name
2. Right click on one of the images and choose "Copy AMI"


Additional info:

It's important for compliance and reliability that we be able to create local copies of these AMI's

Comment 1 Dusty Mabe 2017-02-17 18:12:13 UTC
Assigning to sayan to see if he can take a look at this.

Comment 2 Dusty Mabe 2017-03-08 19:37:09 UTC
here is an email thread on this: 

https://lists.fedoraproject.org/archives/list/cloud@lists.fedoraproject.org/thread/GOXAHJLWG3EMD47Y5IW4CMK4H4PHSIRA/#GOXAHJLWG3EMD47Y5IW4CMK4H4PHSIRA

Sayan has written a script, he just needs to run it.

Dusty

Comment 3 Fedora Update System 2017-06-09 14:31:31 UTC
python-fedimg-0.7.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f828046aa2

Comment 4 Fedora Update System 2017-06-09 14:31:46 UTC
python-fedimg-0.7.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c6478c0d18

Comment 5 Fedora Update System 2017-06-09 14:32:04 UTC
python-fedimg-0.7.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2cf8ea6b2f

Comment 6 Fedora Update System 2017-06-09 14:32:17 UTC
python-fedimg-0.7.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-21c57a2bb3

Comment 7 Fedora Update System 2017-06-10 10:54:58 UTC
python-fedimg-0.7.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-21c57a2bb3

Comment 8 Fedora Update System 2017-06-10 12:31:34 UTC
python-fedimg-0.7.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f828046aa2

Comment 9 Fedora Update System 2017-06-10 12:34:27 UTC
python-fedimg-0.7.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2cf8ea6b2f

Comment 10 Fedora Update System 2017-06-12 04:38:33 UTC
python-fedimg-0.7.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c6478c0d18

Comment 11 Fedora Update System 2017-06-16 13:17:39 UTC
python-fedimg-0.7.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Dusty Mabe 2017-06-20 19:12:33 UTC
Any new AMIs from this point forward will have the appropriate permissions. See https://pagure.io/atomic-wg/issue/263 for more details.

Comment 13 Fedora Update System 2017-06-23 03:26:15 UTC
python-fedimg-0.7.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7128106ce2

Comment 14 Fedora Update System 2017-06-23 03:28:57 UTC
python-fedimg-0.7.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-22fadfbfb9

Comment 15 Fedora Update System 2017-06-25 21:41:05 UTC
python-fedimg-0.7.3-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5585f84c07

Comment 16 Fedora Update System 2017-06-27 02:20:48 UTC
python-fedimg-0.7.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0e0a269379

Comment 17 Fedora Update System 2017-06-27 03:22:58 UTC
python-fedimg-0.7.3-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-22927173c4

Comment 18 Fedora Update System 2017-06-27 06:59:27 UTC
python-fedimg-0.7.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fcaed7afa1

Comment 19 Fedora Update System 2017-06-27 14:51:32 UTC
python-fedimg-0.7.3-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5585f84c07

Comment 20 Fedora Update System 2017-06-27 17:26:33 UTC
python-fedimg-0.7.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dd0aaff125

Comment 21 Fedora Update System 2017-06-28 01:18:01 UTC
python-fedimg-0.7.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fcaed7afa1

Comment 22 Theodore Cowan 2017-07-05 16:36:08 UTC
This is still not resolved.

Attempted to copy ami-c3a0b0ba "Fedora-Cloud-Base-25-20170705.0.x86_64-us-west-2-HVM-gp2-0" created on 	
July 5, 2017.  Copy attempt returned error "You do not have permission to access the storage of this ami".

Comment 23 Dusty Mabe 2017-07-05 16:47:02 UTC
hey theodore, - you are right. the change introduced actually caused AMIs in non-us-east regions to not be accessible by default so I believe the change was reverted. see https://pagure.io/fedora-infrastructure/issue/6123

sayan has tested a fix (so that snapshots are public and so are AMIs in non us-east-1 regions) and will be deploying it soon.

Comment 24 Sayan Chowdhury 2017-07-14 07:49:18 UTC
hey theodore, the fix has been deployed. The issue should be resolved now. Can you verify?

Comment 25 Theodore Cowan 2017-07-17 20:37:18 UTC
Confirmed.  I am now able to copy AMI's into my account.  Thank you!

Comment 26 Fedora Update System 2017-08-10 21:25:48 UTC
python-fedimg-0.7.4-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2017-08-10 23:53:44 UTC
python-fedimg-0.7.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.